package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TTargetagreement;

/**
 * 目标协议Service接口
 * 
 * @author ruoyi
 * @date 2021-08-16
 */
public interface ITTargetagreementService 
{
    /**
     * 查询目标协议
     * 
     * @param id 目标协议ID
     * @return 目标协议
     */
    public TTargetagreement selectTTargetagreementById(Long id);

    /**
     * 查询目标协议
     *
     * @param employeeId 员工号
     * @return 目标协议
     */
    public TTargetagreement selectTTargetagreementByEmployeeid(String employeeId);

    /**
     * 查询目标协议列表
     * 
     * @param tTargetagreement 目标协议
     * @return 目标协议集合
     */
    public List<TTargetagreement> selectTTargetagreementList(TTargetagreement tTargetagreement);

    /**
     * 新增目标协议
     * 
     * @param tTargetagreement 目标协议
     * @return 结果
     */
    public int insertTTargetagreement(TTargetagreement tTargetagreement);

    /**
     * 修改目标协议
     * 
     * @param tTargetagreement 目标协议
     * @return 结果
     */
    public int updateTTargetagreement(TTargetagreement tTargetagreement);

    /**
     * 批量删除目标协议
     * 
     * @param ids 需要删除的目标协议ID
     * @return 结果
     */
    public int deleteTTargetagreementByIds(Long[] ids);

    /**
     * 删除目标协议信息
     * 
     * @param id 目标协议ID
     * @return 结果
     */
    public int deleteTTargetagreementById(Long id);

    /**
     * 查询目标协议
     *
     * @param queryParams 检索条件
     * @return 目标协议
     */
    public TTargetagreement selectTTargetagreementByEmployeeidAndYear(TTargetagreement queryParams);
}
